unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, StdCtrls, ExtCtrls,
  Dialogs, IEInstVer;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    GroupBox5: TGroupBox;
    GroupBox6: TGroupBox;
    GroupBox7: TGroupBox;
    GroupBox8: TGroupBox;
    GroupBox10: TGroupBox;
    GroupBox9: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    ListBox1: TListBox;
    Button1: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Edit1: TEdit;
    IEInstVer1: TIEInstVer;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure IEInstVer1IE_Installed(Sender: TObject);
    procedure IEInstVer1IE1Installed(Sender: TObject);
    procedure IEInstVer1IE2Installed(Sender: TObject);
    procedure IEInstVer1IE3Installed(Sender: TObject);
    procedure IEInstVer1IE4Installed(Sender: TObject);
    procedure IEInstVer1IE5Installed(Sender: TObject);
    procedure IEInstVer1IE6Installed(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private
    procedure GetValues;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.GetValues;
begin
  with IEInstVer1 do
  begin
    Label1.Caption := VersionNumberRegistry;
    Label2.Caption := VersionNumberShDocVwDll;
    Label3.Caption := PreviousVersionNumber;
    Label4.Caption := EncryptionStrength;
    Label5.Caption := VersionDescription;
    Label6.Caption := PreviousVersionDescription;
    Label7.Caption := UserAgent;
    Label8.Caption := WindowTitle;
    with ListBox1 do
    begin
      Clear;
      Items.Add('Property: CookiesPath: string;');
      Items.Add(CookiesPath);
      Items.Add('');
      Items.Add('Property: DownloadPath: string;');
      Items.Add(DownloadPath);
      Items.Add('');
      Items.Add('Property: FavoritesPath: string;');
      Items.Add(FavoritesPath);
      Items.Add('');
      Items.Add('Property: HistoryPath: string;');
      Items.Add(HistoryPath);
      Items.Add('');
      Items.Add('Property: InternetCachePath: string;');
      Items.Add(InternetCachePath);
      Items.Add('');
      Items.Add('Property: SavePath: string;');
      Items.Add(SavePath)
    end
  end
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  GetValues;
  CheckBox2.Checked := IEInstVer1.TriggerEventsOnUpdate
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Edit1.SetFocus
end;

procedure TForm1.IEInstVer1IE_Installed(Sender: TObject);
begin
  CheckBox1.Checked := True
end;

procedure TForm1.IEInstVer1IE1Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 0
end;

procedure TForm1.IEInstVer1IE2Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 1
end;

procedure TForm1.IEInstVer1IE3Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 2
end;

procedure TForm1.IEInstVer1IE4Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 3
end;

procedure TForm1.IEInstVer1IE5Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 4
end;

procedure TForm1.IEInstVer1IE6Installed(Sender: TObject);
begin
  RadioGroup1.ItemIndex := 5
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  with IEInstVer1 do
  begin
    CheckBox1.Checked := IE_Installed;
    with RadioGroup1 do
    begin
      if IE1Installed then ItemIndex := 0;
      if IE2Installed then ItemIndex := 1;
      if IE3Installed then ItemIndex := 2;
      if IE4Installed then ItemIndex := 3;
      if IE5Installed then ItemIndex := 4;
      if IE6Installed then ItemIndex := 5;
    end
  end
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  IEInstVer1.TriggerEventsOnUpdate := CheckBox2.Checked
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  IEInstVer1.UpdateValues;
  GetValues
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Application.MessageBox(pchar(IEInstVer1.About), 'Property: About: string;',
    MB_OK +
    MB_ICONASTERISK +
    MB_APPLMODAL)
end;

end.

